> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getoutbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agency Phone Numbers

> Retrieve all phone numbers available to the agency. Note: Requires Agency API Key.



## OpenAPI

````yaml GET /agency/phone
openapi: 3.1.0
info:
  title: Outbox AI API
  description: API for managing AI agents (chatbots and voicebots) on the Outbox platform
  version: 1.0.0
servers:
  - url: https://api.getoutbox.ai
security: []
paths:
  /agency/phone:
    get:
      summary: List Agency Phone Numbers
      description: >-
        Retrieve all phone numbers available to the agency. Note: Requires
        Agency API Key.
      responses:
        '200':
          description: Phone numbers retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AgencyPhoneNumber'
        '401':
          description: Unauthorized - Invalid or missing agency API key
        '403':
          description: Forbidden - Requires agency admin access
      security:
        - AgencyApiKey: []
components:
  schemas:
    AgencyPhoneNumber:
      type: object
      properties:
        id:
          type: string
          nullable: true
          description: Null if not yet saved
        integration:
          type: string
          enum:
            - twilio
            - vonage
            - telnyx
            - sip
        type:
          type: string
          enum:
            - phone_number
            - verified_caller_id
        country:
          type: string
        friendly_name:
          type: string
        phone_number:
          type: string
        company:
          type: object
          nullable: true
          properties:
            id:
              type: string
            name:
              type: string
        rebill_on:
          type: boolean
        inbound_cost:
          type: number
        outbound_cost:
          type: number
        charge_per_second:
          type: boolean
          description: For SIP only
        sip_uri:
          type: string
          description: For SIP only
        sip_username:
          type: string
          description: For SIP only
        sip_password:
          type: string
          description: For SIP only
  securitySchemes:
    AgencyApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: Agency API Key

````